Package org.jfree.layouting.layouter.style.functions.values

## Class HslValueFunction

- java.lang.Object
- - org.jfree.layouting.layouter.style.functions.values.HslValueFunction

- All Implemented Interfaces:
    `StyleValueFunction`

      public class HslValueFunction
      extends java.lang.Object
      implements StyleValueFunction

  Creation-Date: 16.04.2006, 14:14:42
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HslValueFunction​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `evaluate​(LayoutProcess layoutProcess, LayoutElement element, CSSFunctionValue function)` |
    `protected int` | `validateHueParameter​(CSSValue value)` |
    `protected float` | `validateOtherParameter​(CSSValue value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HslValueFunction

          public HslValueFunction​()

  - ### Method Detail

    - #### validateHueParameter

          protected int validateHueParameter​(CSSValue value)
                                      throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### validateOtherParameter

          protected float validateOtherParameter​(CSSValue value)
                                          throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### evaluate

          public CSSValue evaluate​(LayoutProcess layoutProcess,
                                   LayoutElement element,
                                   CSSFunctionValue function)
                            throws FunctionEvaluationException

      Specified by:
        `evaluate` in interface `StyleValueFunction`
      Throws:
        `FunctionEvaluationException`